/*
 * Class WEL_FIND_FLAGS_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_189 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_189 [] = {0xFF01,1551,188,0xFFFF};
static const EIF_TYPE_INDEX egt_2_189 [] = {0xFF01,188,0xFFFF};
static const EIF_TYPE_INDEX egt_3_189 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_189 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_189 [] = {0xFF01,188,0xFFFF};
static const EIF_TYPE_INDEX egt_6_189 [] = {0xFF01,188,0xFFFF};
static const EIF_TYPE_INDEX egt_7_189 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_189 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_189 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_189 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_189 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_189 [] = {0xFF01,188,0xFFFF};


static const struct desc_info desc_189[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_189), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_189), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_189), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_189), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_189), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_189), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_189), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_189), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_189), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_189), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_189), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_189), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0179 /*188*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_189), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4562, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4563, 0xFFFFFFFF},
};
void Init189(void)
{
	IDSC(desc_189, 0, 188);
	IDSC(desc_189 + 1, 1, 188);
	IDSC(desc_189 + 32, 1339, 188);
}


#ifdef __cplusplus
}
#endif
